Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

List Provider Attributes GETCreate Provider Attributes POSTUpdate Provider Attributes PUTDelete Provider Attribute DELETEUpdate Provider Attribute PUT
PeopleTalent pools

Update Provider Attribute


Update the value of a specific attribute for a provider in a talent pool.

PUT
/api/rest/v2/talent-pools/{talent_pool_id}/providers/{provider_id}/attributes/{attribute_uuid}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

talent_pool_id*integer

Talent Pool ID

provider_id*integer

Provider ID

attribute_uuid*string

Talent Pool Provider Attribute ID

Request Body

application/json

Updated attribute value

value*string

The new value of the attribute

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes/string_value" \  -H "Content-Type: application/json" \  -d '{    "value": "new-attribute-value"  }'
{
  "talent_pool_provider_attribute_id": "string",
  "name": "target_rate",
  "value": "20"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Delete Provider Attribute DELETE

Previous Page

Delete Talent Pool Group DELETE

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes/string_value" \
  -H "Content-Type: application/json" \
  -d '{
    "value": "new-attribute-value"
  }'